{
  "root": true,
  "parser": "@typescript-eslint/parser",
  "ignorePatterns": ["dist", "test"],
  "parserOptions": {
    "ecmaVersion": 2020
  },
  "rules": {
    "indent": ["error", "tab"],
    "semi": ["error", "always"],
    "quotes": ["error", "single"],
    "@typescript-eslint/no-explicit-any": "off",
    "@typescript-eslint/no-unused-vars": "off",
	"@typescript-eslint/no-empty-object-type": "off",
	"@typescript-eslint/no-unused-expressions": "off",
    "@typescript-eslint/explicit-member-accessibility": "error",
    "@typescript-eslint/explicit-function-return-type": "error"
  },
  "plugins": [
    "@typescript-eslint"
  ],
  "extends": [
    "plugin:@typescript-eslint/recommended"
  ]
}